Package org.eclipse.net4j.signal.wrapping

# Class StreamWrapperInjector

java.lang.Object
org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

All Implemented Interfaces:
  `org.eclipse.net4j.util.container.IElementProcessor`

Direct Known Subclasses:
  `GZIPStreamWrapperInjector`, `XORStreamWrapperInjector`

public class StreamWrapperInjector extends Object implements org.eclipse.net4j.util.container.IElementProcessor
An `element post processor` that injects a `stream wrapper` into `signal protocol` instances.

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`StreamWrapperInjector(String protocolID, org.eclipse.net4j.util.io.IStreamWrapper streamWrapper)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getProtocolID()`
`org.eclipse.net4j.util.io.IStreamWrapper`
`getStreamWrapper()`
`int`
`hashCode()`
`protected Object`
`inject(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, SignalProtocol<?> signalProtocol)`
`Object`
`process(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, Object element)`
`protected boolean`
`shouldInject(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, SignalProtocol<?> signalProtocol)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StreamWrapperInjector

public StreamWrapperInjector(String protocolID, org.eclipse.net4j.util.io.IStreamWrapper streamWrapper)

## Method Details

### getProtocolID

public String getProtocolID()

### getStreamWrapper

public org.eclipse.net4j.util.io.IStreamWrapper getStreamWrapper()

### process

public Object process(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, Object element)

Specified by:
  `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`

### shouldInject

protected boolean shouldInject(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, SignalProtocol<?> signalProtocol)

### inject

protected Object inject(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup, String factoryType, String description, SignalProtocol<?> signalProtocol)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`